<?php

namespace Common\Model;

use Common\Model\CommonModel;

class MServerModel extends CommonModel{
	//自动验证
	protected $_validate = array(
			//array(验证字段,验证规则,错误提示,验证条件,附加规则,验证时间)
			array('servername', 'require', '区服名称不能为空！', 1, 'regex', 3),
			array('gid', 'require', '所属游戏不能为空！', 1, 'regex', 1),
			array('sid', 'require', '区服不能为空！', 1, 'regex', 3),
			array('sid', 'check_sid', '相同游戏不能相同区服', 1, 'callback', CommonModel:: MODEL_BOTH  ),
	);
	protected $_auto = array(
			array('add_time','time',1,'function')
	);

    function check_sid(){
  	    $map['sid'] = I('post.sid');
  	    $map['gid'] = I('post.gid');
        $id = I('post.id');
        if(!empty($id)){
            $map['id'] = array('neq', $id);
        }
    	$res = $this->where($map)->find();
        return empty($res);
	}
	protected function _before_write(&$data) {
		parent::_before_write($data);
	}

}